> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List my policies



## OpenAPI

````yaml /openapi.json get /policies
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /policies:
    get:
      tags:
        - policy
      summary: List my policies
      operationId: PolicyController_listMyPolicies
      parameters:
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
        - name: branchId
          required: false
          in: query
          description: 'Optional: the branchId'
          schema:
            type: string
        - name: productId
          required: true
          in: query
          description: The productId
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: the pagination offset
          schema:
            default: 0
            type: number
        - name: pageSize
          required: false
          in: query
          description: the pagination page size
          schema:
            default: 50
            type: number
        - name: signed
          required: false
          in: query
          description: retrieve only signed policies
          schema:
            type: boolean
        - name: brokerageFirmId
          required: false
          in: query
          description: >-
            list policies of a specific brokerage firm (requires the permission
            brokerage-firm:policies:list-all)
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMyPoliciesOutput'
components:
  schemas:
    ListMyPoliciesOutput:
      type: object
      properties:
        total:
          type: number
          description: Total number of policies
        offset:
          type: number
          description: Offset used for pagination
        limit:
          type: number
          description: Page size used for pagination
        data:
          description: List of policies
          type: array
          items:
            $ref: '#/components/schemas/PolicyDto'
      required:
        - total
        - offset
        - limit
        - data
    PolicyDto:
      type: object
      properties:
        claimsHistory:
          description: Claims history
          type: array
          items:
            $ref: '#/components/schemas/ClaimsHistory'
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        owners:
          description: Owners of the entity
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/OwnerDto'
        type:
          type: string
          description: Entity type
        id:
          type: string
          description: Unique identifier for the policy
        parent:
          type: string
          description: Unique identifier for the parent policy
        brokerageFirm:
          type: string
          description: Unique identifier for the brokerage firm
        productId:
          type: string
          description: Product ID
        incrementalId:
          type: number
          description: Incremental policy id
        externalId:
          type: string
          description: External policy id
        createdAt:
          type: string
          description: Date and time when the policy was created
        lastModifiedAt:
          type: string
          description: Date and time when the policy was last modified
        status:
          type: string
          description: Status of the policy
          enum:
            - POLICY_CREATED
            - POLICY_QUOTED
            - POLICY_CONFIRMED
            - POLICY_STARTED
            - POLICY_STOPPED
            - POLICY_SUSPENDED
        branchType:
          type: string
          description: Type of branch associated with the policy
          enum:
            - BASE
            - NEW_BUSINESS
            - MTA
            - RENEWAL
            - REPRICING
        author:
          description: Author of the policy
          allOf:
            - $ref: '#/components/schemas/BrokerDto'
        signedAt:
          type: string
          description: Date and time when the policy was signed
        startedAt:
          type: string
          description: Date and time when the policy started
        endedAt:
          type: string
          description: Date and time when the policy will end
        stoppedAt:
          type: string
          description: Date and time when the policy stopped
        suspendedAt:
          type: string
          description: Date and time when the policy  was suspended
        reactivatedAt:
          type: string
          description: Date and time when the policy was reactivated after suspension
        assets:
          description: Array of asset identifiers associated with the policy
          type: array
          items:
            type: string
        customers:
          description: Identifiers of the customers associated with the policy
          type: array
          items:
            type: string
        periodDuration:
          description: Policy period duration
          allOf:
            - $ref: '#/components/schemas/Duration'
        invoicingConfig:
          description: Nested DTO for invoicing configuration
          allOf:
            - $ref: '#/components/schemas/InvoicingConfigDto'
        acceptedEmailDomains:
          description: Accepted Email Domains
          type: array
          items:
            type: string
        acceptedQuoteOptions:
          $ref: '#/components/schemas/AcceptedQuoteOptionsDto'
        additionalQuoteComponents:
          $ref: '#/components/schemas/QuoteComponentDto'
        quote:
          description: policy quote
          allOf:
            - $ref: '#/components/schemas/PolicyQuoteDto'
        proratedQuote:
          description: Prorated policy quote based on the invoicing frequency of the policy
          allOf:
            - $ref: '#/components/schemas/PolicyQuoteDto'
        maximumNumberOfBikes:
          type: number
          description: max number of bike
        selectedTier:
          type: object
          description: Selected pricing tier with perils and breakdown
        stop:
          description: stop reason, details and createdAt
          allOf:
            - $ref: '#/components/schemas/StopDto'
        brokerageFees:
          description: Brokerage fees
          type: array
          items:
            $ref: '#/components/schemas/BrokerageFeeOnPolicy'
      required:
        - claimsHistory
        - owners
        - type
        - id
        - productId
        - createdAt
        - lastModifiedAt
        - status
        - assets
        - customers
        - periodDuration
        - invoicingConfig
    ClaimsHistory:
      type: object
      properties:
        year:
          type: number
          description: Year of the claim
        claimsNumber:
          type: number
          description: Number of claims
        fleetSize:
          type: number
          description: Fleet size
      required:
        - year
        - claimsNumber
        - fleetSize
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    OwnerDto:
      type: object
      properties:
        userId:
          type: string
        email:
          type: string
        roles:
          type: array
          items:
            $ref: '#/components/schemas/OwnerRoleDto'
      required:
        - userId
        - email
        - roles
    BrokerDto:
      type: object
      properties:
        firstName:
          type: string
          description: First name
        lastName:
          type: string
          description: Last name
        userId:
          type: string
          description: User id
        email:
          type: string
        brokerRole:
          type: string
      required:
        - firstName
        - lastName
        - userId
    Duration:
      type: object
      properties:
        amount:
          type: number
        unit:
          type: string
          enum:
            - YEAR
            - MONTH
            - WEEK
            - DAY
            - HOUR
            - MINUTE
            - SECOND
      required:
        - amount
        - unit
    InvoicingConfigDto:
      type: object
      properties:
        frequency:
          allOf:
            - $ref: '#/components/schemas/InvoiceFrequency'
        timing:
          allOf:
            - $ref: '#/components/schemas/InvoiceTiming'
        billAtSignature:
          allOf:
            - $ref: '#/components/schemas/BillAtSignatureType'
        earlyPayment:
          $ref: '#/components/schemas/Duration'
      required:
        - frequency
        - timing
        - billAtSignature
    AcceptedQuoteOptionsDto:
      type: object
      properties:
        defaultConfig:
          $ref: '#/components/schemas/QuoteChosenOptionsDto'
        availableConfigs:
          type: array
          items:
            $ref: '#/components/schemas/QuoteAvailableOptionsDto'
      required:
        - availableConfigs
    QuoteComponentDto:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PREMIUM
            - PERIL
            - FEE
            - TAX
            - SPECIAL
        premium:
          $ref: '#/components/schemas/AmountDto'
        chargeType:
          type: string
          description: Charge type of component
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
      required:
        - id
        - type
        - premium
        - chargeType
    PolicyQuoteDto:
      type: object
      properties:
        id:
          type: string
          description: Quote id
        entityId:
          type: string
          description: Entity the quote is for
        provider:
          $ref: '#/components/schemas/QuoteProviderDto'
        basePrice:
          type: integer
        rates:
          type: array
          items:
            $ref: '#/components/schemas/RateDto'
        totalPremium:
          $ref: '#/components/schemas/AmountDto'
        components:
          description: components of the quote
          type: array
          items:
            $ref: '#/components/schemas/QuoteComponentDto'
      required:
        - id
        - entityId
        - provider
        - rates
        - totalPremium
        - components
    StopDto:
      type: object
      properties:
        reason:
          type: string
          description: Stop reason
        details:
          description: Stop details
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        createdAt:
          type: string
          description: Date and time when the stop was created
      required:
        - reason
    BrokerageFeeOnPolicy:
      type: object
      properties:
        brokerageFirmId:
          type: string
          description: Brokerage firm id
          maximum: 100
          minimum: 0
        fee:
          type: number
          description: Fee
          maximum: 100
          minimum: 0
      required:
        - brokerageFirmId
        - fee
    OwnerRoleDto:
      type: object
      properties:
        productId:
          type: string
          description: The ID of the product the role is associated with
        roleId:
          type: string
          description: The ID of the role.
      required:
        - productId
        - roleId
    InvoiceFrequency:
      type: string
      enum:
        - YEARLY
        - HALF_YEARLY
        - QUARTERLY
        - MONTHLY
        - BIENNIAL
        - WEEKLY
    InvoiceTiming:
      type: string
      enum:
        - IN_ADVANCE
        - IN_ARREAR
    BillAtSignatureType:
      type: string
      enum:
        - EARLY_PAYMENT
        - FULL
        - NONE
    QuoteChosenOptionsDto:
      type: object
      properties:
        tier:
          type: string
        excess:
          type: string
        perils:
          type: array
          items:
            $ref: '#/components/schemas/ConfigQuoteChosenWarrantyDto'
      required:
        - tier
        - excess
    QuoteAvailableOptionsDto:
      type: object
      properties:
        tier:
          type: string
        excess:
          type: string
        perils:
          type: array
          items:
            $ref: '#/components/schemas/ConfigQuoteAvailableWarrantyDto'
      required:
        - tier
        - excess
    AmountDto:
      type: object
      properties:
        amountPreFeesAndTaxes:
          type: integer
        fees:
          type: array
          items:
            $ref: '#/components/schemas/FeeDto'
        totalFees:
          type: integer
        amountWithFeesPreTaxes:
          type: integer
        taxes:
          type: array
          items:
            $ref: '#/components/schemas/TaxDto'
        totalTaxes:
          type: integer
        amountWithFeesAndTaxes:
          type: integer
      required:
        - amountPreFeesAndTaxes
        - fees
        - totalFees
        - amountWithFeesPreTaxes
        - taxes
        - totalTaxes
        - amountWithFeesAndTaxes
    QuoteProviderDto:
      type: object
      properties:
        id:
          type: string
        version:
          type: string
      required:
        - id
        - version
    RateDto:
      type: object
      properties:
        id:
          type: string
        rate:
          type: integer
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/RateInputDto'
      required:
        - id
        - rate
        - inputs
    ConfigQuoteChosenWarrantyDto:
      type: object
      properties:
        id:
          type: string
        option:
          type: string
        available:
          type: boolean
        unavailabilityMessage:
          type: string
      required:
        - id
    ConfigQuoteAvailableWarrantyDto:
      type: object
      properties:
        id:
          type: string
        required:
          type: boolean
        options:
          type: array
          items:
            type: string
        showWhen:
          oneOf:
            - $ref: '#/components/schemas/ConfigQuoteShowWhenSingleValueDto'
            - $ref: '#/components/schemas/ConfigQuoteShowWhenMultipleValuesDto'
            - $ref: '#/components/schemas/ConfigQuoteShowWhenNoValueDto'
      required:
        - id
    FeeDto:
      type: object
      properties:
        id:
          type: string
        brokerageFirmId:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount
    TaxDto:
      type: object
      properties:
        id:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount
    RateInputDto:
      type: object
      properties:
        id:
          type: string
          description: id
        value:
          description: value
          oneOf:
            - type: string
            - type: number
      required:
        - id
        - value
    ConfigQuoteShowWhenSingleValueDto:
      type: object
      properties:
        fieldKey:
          type: string
        fieldValue:
          type: string
        condition:
          type: string
        value:
          type: string
      required:
        - fieldKey
        - fieldValue
        - condition
        - value
    ConfigQuoteShowWhenMultipleValuesDto:
      type: object
      properties:
        fieldKey:
          type: string
        fieldValue:
          type: string
        condition:
          type: string
        values:
          type: array
          items:
            type: string
      required:
        - fieldKey
        - fieldValue
        - condition
        - values
    ConfigQuoteShowWhenNoValueDto:
      type: object
      properties:
        fieldKey:
          type: string
        fieldValue:
          type: string
        condition:
          type: string
      required:
        - fieldKey
        - fieldValue
        - condition

````